Toasts

Vue Bootstrap 5 Toast component

Bootstrap Toast component is a non-disruptive message in the corner of the interface. It provides quick "at-a-glance" feedback on the outcome of an action.

Push notifications to your visitors with a 'toast', a lightweight and easily customizable alert message. Toasts are designed to mimic the push notifications that have been popularized by mobile and desktop operating systems.

Note: Read the API tab to find all available options and advanced customization


Basic example

Click the buttons to launch the toasts.

        
            
            <template>
              <MDBBtn color="primary" id="basic-primary-trigger" @click="toast1 = true">
                Primary
              </MDBBtn>
              <MDBBtn color="secondary" id="basic-secondary-trigger" @click="toast2 = true">
                Secondary
              </MDBBtn>
              <MDBBtn color="success" id="basic-success-trigger" @click="toast3 = true">
                Success
              </MDBBtn>
              <MDBBtn color="danger" id="basic-danger-trigger" @click="toast4 = true">
                Danger
              </MDBBtn>
              <MDBBtn color="warning" id="basic-warning-trigger" @click="toast5 = true">
                Warning
              </MDBBtn>
              <MDBBtn color="info" id="basic-info-trigger" @click="toast6 = true">
                Info
              </MDBBtn>
              <MDBBtn color="light" id="basic-light-trigger" @click="toast7 = true">
                Light
              </MDBBtn>
              <MDBBtn color="dark" id="basic-dark-trigger" @click="toast8 = true">
                Dark
              </MDBBtn>
              <MDBToast
                v-model="toast1"
                id="basic-primary-example"
                autohide
                :delay="2000"
                position="top-right"
                appendToBody
                stacking
                width="350px"
                toast="primary"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                Primary Basic Example
              </MDBToast>
              <MDBToast
                v-model="toast2"
                id="basic-secondary-example"
                autohide
                :delay="2000"
                position="top-right"
                appendToBody
                stacking
                width="350px"
                toast="secondary"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                Secondary Basic Example
              </MDBToast>
              <MDBToast
                v-model="toast3"
                id="basic-success-example"
                autohide
                :delay="2000"
                position="top-right"
                appendToBody
                stacking
                width="350px"
                toast="success"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                Success Basic Example
              </MDBToast>
              <MDBToast
                v-model="toast4"
                id="basic-danger-example"
                autohide
                :delay="2000"
                position="top-right"
                appendToBody
                stacking
                width="350px"
                toast="danger"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                Danger Basic Example
              </MDBToast>
              <MDBToast
                v-model="toast5"
                id="basic-warning-example"
                autohide
                :delay="2000"
                position="top-right"
                appendToBody
                stacking
                width="350px"
                toast="warning"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                Warning Basic Example
              </MDBToast>
              <MDBToast
                v-model="toast6"
                id="basic-info-example"
                autohide
                :delay="2000"
                position="top-right"
                appendToBody
                stacking
                width="350px"
                toast="info"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                Info Basic Example
              </MDBToast>
              <MDBToast
                v-model="toast7"
                id="basic-light-example"
                autohide
                :delay="2000"
                position="top-right"
                appendToBody
                stacking
                width="350px"
                toast="light"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                Light Basic Example
              </MDBToast>
              <MDBToast
                v-model="toast8"
                id="basic-dark-example"
                autohide
                :delay="2000"
                position="top-right"
                appendToBody
                stacking
                width="350px"
                toast="dark"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                Dark Basic Example
              </MDBToast>
            </template>
          
        
    
        
            
            <script>
              import { MDBToast, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from "vue";
              export default {
                components: {
                  MDBToast,
                  MDBBtn
                },
                setup() {
                  const toast1 = ref(false);
                  const toast2 = ref(false);
                  const toast3 = ref(false);
                  const toast4 = ref(false);
                  const toast5 = ref(false);
                  const toast6 = ref(false);
                  const toast7 = ref(false);
                  const toast8 = ref(false);
                  return {
                    toast1,
                    toast2,
                    toast3,
                    toast4,
                    toast5,
                    toast6,
                    toast7,
                    toast8
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts"> 
              import { MDBToast, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const toast1 = ref(false);
              const toast2 = ref(false);
              const toast3 = ref(false);
              const toast4 = ref(false);
              const toast5 = ref(false);
              const toast6 = ref(false);
              const toast7 = ref(false);
              const toast8 = ref(false);
            </script>
          
        
    

Static example

        
            
            <template>
              <MDBToast id="static-example" static :stacking="false" v-model="toast9">
                <template #title> MDBootstrap </template>
                <template #small> 11 mins ago </template>
                Static Example
              </MDBToast>
            </template>
          
        
    
        
            
            <script>
              import { MDBToast } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              export default {
                components: {
                  MDBToast,
                },
                setup() {
                  const toast9 = ref(true);
                  return {
                    toast9,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBToast } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const toast9 = ref(true);
            </script>
          
        
    

Colors

        
            
            <template>
              <MDBRow class="mb-5">
                <MDBCol xl="3" lg="6">
                  <MDBToast
                    static
                    :stacking="false"
                    v-model="toast10"
                    toast="info"
                    icon="fas fa-info-circle fa-lg me-2"
                  >
                    <template #title> MDBootstrap </template>
                    <template #small> 11 mins ago </template>
                    Hello, world! This is a toast message.
                  </MDBToast>
                </MDBCol>
                <MDBCol xl="3" lg="6">
                  <MDBToast
                    static
                    :stacking="false"
                    v-model="toast11"
                    toast="warning"
                    icon="fas fa-exclamation-triangle fa-lg me-2"
                  >
                    <template #title> MDBootstrap </template>
                    <template #small> 11 mins ago </template>
                    Hello, world! This is a toast message.
                  </MDBToast>
                </MDBCol>
                <MDBCol xl="3" lg="6">
                  <MDBToast
                    static
                    :stacking="false"
                    v-model="toast12"
                    toast="success"
                    icon="fas fa-check fa-lg me-2"
                  >
                    <template #title> MDBootstrap </template>
                    <template #small> 11 mins ago </template>
                    Hello, world! This is a toast message.
                  </MDBToast>
                </MDBCol>
                <MDBCol xl="3" lg="6">
                  <MDBToast
                    static
                    :stacking="false"
                    v-model="toast13"
                    toast="danger"
                    icon="fas fa-exclamation-circle fa-lg me-2"
                  >
                    <template #title> MDBootstrap </template>
                    <template #small> 11 mins ago </template>
                    Hello, world! This is a toast message.
                  </MDBToast>
                </MDBCol>
              </MDBRow>
            </template>
          
        
    
        
            
            <script>
              import { MDBToast, MDBRow, MDBCol } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              export default {
                components: {
                  MDBToast,
                  MDBRow,
                  MDBCol,
                },
                setup() {
                  const toast10 = ref(true);
                  const toast11 = ref(true);
                  const toast12 = ref(true);
                  const toast13 = ref(true);
                  return {
                    toast10,
                    toast11,
                    toast12,
                    toast13,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBToast, MDBRow, MDBCol } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const toast10 = ref(true);
              const toast11 = ref(true);
              const toast12 = ref(true);
              const toast13 = ref(true);
            </script>
          
        
    

Placement

You can set position of every notification using position property.

Select horizontal / vertical alignment

Current position: top-right
        
            
            <template>
              <div class="text-center">
                <p class="fw-bold">Select horizontal / vertical alignment</p>
              </div>
              <div class="my-4 text-center">
                <MDBBtn color="primary" @click="setVertical('top')">Top</MDBBtn>
                <MDBBtn color="primary" class="ms-2" @click="setVertical('bottom')"> Bottom </MDBBtn>
              </div>
              <div class="my-4 text-center">
                <MDBBtn color="primary" @click="setHorizontal('left')">Left</MDBBtn>
                <MDBBtn color="primary" class="mx-2" @click="setHorizontal('center')">
                  Center
                </MDBBtn>
                <MDBBtn color="primary" @click="setHorizontal('right')"> Right </MDBBtn>
              </div>
              <div class="mb-4 text-center">
                <h5>
                  Current position:
                  <span id="positionDisplay">{{ toast14position }}</span>
                </h5>
              </div>
              <MDBBtn color="primary" id="placement-trigger" @click="toast14 = true">
                Show toast
              </MDBBtn>
              <MDBToast
                v-model="toast14"
                id="placement-toast"
                :position="toast14position"
                :autohide="false"
                appendToBody
                width="350px"
                toast="info"
              >
                <template #title> MDBootstrap </template>
                <template #small> 11 mins ago </template>
                Toast placement
              </MDBToast>
            </template>
          
        
    
        
            
            <script>
              import { MDBToast, MDBBtn } from 'mdb-vue-ui-kit';
              import { ref, computed } from 'vue';
              export default {
                components: {
                  MDBToast,
                  MDBBtn,
                },
                setup() {
                  const toast14 = ref(false);
                  const vertical = ref('top');
                  const horizontal = ref('right');
                  const toast14position = computed(() => {
                    return `${vertical.value}-${horizontal.value}`;
                  });
                  const setHorizontal = (value) => {
                    horizontal.value = value;
                  };
                  const setVertical = (value) => {
                    vertical.value = value;
                  };
                  return {
                    toast14,
                    toast14position,
                    setHorizontal,
                    setVertical,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBToast, MDBBtn } from 'mdb-vue-ui-kit';
              import { ref, computed } from 'vue';

              const toast14 = ref(false);
              const vertical = ref('top');
              const horizontal = ref('right');
              const toast14position = computed(() => {
                return `${vertical.value}-${horizontal.value}`;
              });
              const setHorizontal = (value: string) => {
                horizontal.value = value;
              };
              const setVertical = (value: string) => {
                vertical.value = value;
              };
            </script>
          
        
    

Offset

You can also change offset of every notification using offset property.

        
            
            <template>
              <MDBBtn color="primary" id="offset-trigger" @click="toast15 = true">
                Offset: 50
              </MDBBtn>
              <MDBToast
                v-model="toast15"
                id="offset-toast"
                :delay="2000"
                :autohide="false"
                position="top-right"
                offset="50"
                appendToBody
                width="350px"
                toast="info"
              >
                <template #title> MDBootstrap </template>
                <template #small> 11 mins ago </template>
                Offset: 50
              </MDBToast>
            </template>
          
        
    
        
            
            <script>
              import { MDBToast, MDBBtn } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              export default {
                components: {
                  MDBToast,
                  MDBBtn,
                },
                setup() {
                  const toast15 = ref(false);
                  return {
                    toast15,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBToast, MDBBtn } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const toast15 = ref(false);
            </script>
          
        
    

Container

You can display notification anywhere. Just put your toast in your target element and fill container property with id or class of parent.

        
            
            <template>
              <MDBContainer class="text-center" id="container-example">
                <MDBBtn
                  color="primary"
                  class="mb-5"
                  id="container-trigger"
                  @click="toast16 = true"
                >
                  Show toast in this element
                </MDBBtn>
                <MDBToast
                  v-model="toast16"
                  id="container-toast"
                  role="alert"
                  :delay="2000"
                  position="bottom-right"
                  container="#container-example"
                  width="350px"
                >
                  <template #title>
                    MDBootstrap
                  </template>
                  <template #small>
                    11 mins ago
                  </template>
                  Toast inside another element!
                </MDBToast>
              </MDBContainer>
            </template>
          
        
    
        
            
            <script>
              import { MDBToast, MDBBtn, MDBContainer } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBToast,
                  MDBBtn,
                  MDBContainer
                },
                setup() {
                  const toast16 = ref(false);
                  return {
                    toast16
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBToast, MDBBtn, MDBContainer } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const toast16 = ref(false);
            </script>
          
        
    

Stacking

You can turn on/off stacking your notifications using stacking property.

        
            
            <template>
              <MDBBtn color="primary" class="me-3" @click="addStacking">
                Show toast notification
              </MDBBtn>
              <MDBToast
                v-model="stacking[1]"
                autohide
                :delay="2000"
                appendToBody
                stacking
                width="350px"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                1
              </MDBToast>
              <MDBToast
                v-model="stacking[2]"
                autohide
                :delay="2000"
                appendToBody
                stacking
                width="350px"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                2
              </MDBToast>
              <MDBToast
                v-model="stacking[3]"
                autohide
                :delay="2000"
                appendToBody
                stacking
                width="350px"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                3
              </MDBToast>
              <MDBToast
                v-model="stacking[4]"
                autohide
                :delay="2000"
                appendToBody
                stacking
                width="350px"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                4
              </MDBToast>
              <MDBToast
                v-model="stacking[5]"
                autohide
                :delay="2000"
                appendToBody
                stacking
                width="350px"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                5
              </MDBToast>
              <MDBToast
                v-model="stacking[6]"
                autohide
                :delay="2000"
                appendToBody
                stacking
                width="350px"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                6
              </MDBToast>
              <MDBToast
                v-model="stacking[7]"
                autohide
                :delay="2000"
                appendToBody
                stacking
                width="350px"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                7
              </MDBToast>
              <MDBToast
                v-model="stacking[8]"
                autohide
                :delay="2000"
                appendToBody
                stacking
                width="350px"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                8
              </MDBToast>
              <MDBToast
                v-model="stacking[9]"
                autohide
                :delay="2000"
                appendToBody
                stacking
                width="350px"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                9
              </MDBToast>
              <MDBToast
                v-model="stacking[10]"
                autohide
                :delay="2000"
                appendToBody
                stacking
                width="350px"
              >
                <template #title>
                  MDBootstrap
                </template>
                <template #small>
                  11 mins ago
                </template>
                10
              </MDBToast>
            </template>
          
        
    
        
            
            <script>
              import { MDBToast, MDBBtn } from "mdb-vue-ui-kit";
              import { ref, reactive } from 'vue';
              export default {
                components: {
                  MDBToast,
                  MDBBtn
                },
                setup() {
                  const stacking = reactive({
                    1: false,
                    2: false,
                    3: false,
                    4: false,
                    5: false,
                    6: false,
                    7: false,
                    8: false,
                    9: false,
                    10: false
                  });
                  const currentStacking = ref(1);
                  const addStacking = () => {
                    stacking[currentStacking.value] = true;
                    currentStacking.value++;
                    if (currentStacking.value > 10) {
                      currentStacking.value = 1;
                    }
                  };
                  return {
                    stacking,
                    addStacking
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBToast, MDBBtn } from "mdb-vue-ui-kit";
              import { ref, reactive } from 'vue';

              interface Stacking {
                [props: number]: boolean;
              }

              const stacking = reactive<Stacking>({
                1: false,
                2: false,
                3: false,
                4: false,
                5: false,
                6: false,
                7: false,
                8: false,
                9: false,
                10: false
              });
              const currentStacking = ref(1);
              const addStacking = () => {
                stacking[currentStacking.value] = true;
                currentStacking.value++;
                if (currentStacking.value > 10) {
                  currentStacking.value = 1;
                }
              };
            </script>
          
        
    

Stacking (container)

You can also stack alerts inside the container

        
            
            <template>
              <MDBContainer class="text-center" id="stacking-container">
                <MDBBtn color="primary" class="me-3" @click="addStackingContainer">
                  Show toast notification
                </MDBBtn>
                <MDBToast
                  v-model="stackingContainer[1]"
                  autohide
                  :delay="5000"
                  container="#stacking-container"
                  stacking
                  width="350px"
                >
                  <template #title>
                    MDBootstrap
                  </template>
                  <template #small>
                    11 mins ago
                  </template>
                  1
                </MDBToast>
                <MDBToast
                  v-model="stackingContainer[2]"
                  autohide
                  :delay="5000"
                  container="#stacking-container"
                  stacking
                  width="350px"
                >
                  <template #title>
                    MDBootstrap
                  </template>
                  <template #small>
                    11 mins ago
                  </template>
                  2
                </MDBToast>
                <MDBToast
                  v-model="stackingContainer[3]"
                  autohide
                  :delay="5000"
                  container="#stacking-container"
                  stacking
                  width="350px"
                >
                  <template #title>
                    MDBootstrap
                  </template>
                  <template #small>
                    11 mins ago
                  </template>
                  3
                </MDBToast>
                <MDBToast
                  v-model="stackingContainer[4]"
                  autohide
                  :delay="5000"
                  container="#stacking-container"
                  stacking
                  width="350px"
                >
                  <template #title>
                    MDBootstrap
                  </template>
                  <template #small>
                    11 mins ago
                  </template>
                  4
                </MDBToast>
                <MDBToast
                  v-model="stackingContainer[5]"
                  autohide
                  :delay="5000"
                  container="#stacking-container"
                  stacking
                  width="350px"
                >
                  <template #title>
                    MDBootstrap
                  </template>
                  <template #small>
                    11 mins ago
                  </template>
                  5
                </MDBToast>
                <MDBToast
                  v-model="stackingContainer[6]"
                  autohide
                  :delay="5000"
                  container="#stacking-container"
                  stacking
                  width="350px"
                >
                  <template #title>
                    MDBootstrap
                  </template>
                  <template #small>
                    11 mins ago
                  </template>
                  6
                </MDBToast>
                <MDBToast
                  v-model="stackingContainer[7]"
                  autohide
                  :delay="5000"
                  container="#stacking-container"
                  stacking
                  width="350px"
                >
                  <template #title>
                    MDBootstrap
                  </template>
                  <template #small>
                    11 mins ago
                  </template>
                  7
                </MDBToast>
                <MDBToast
                  v-model="stackingContainer[8]"
                  autohide
                  :delay="5000"
                  container="#stacking-container"
                  stacking
                  width="350px"
                >
                  <template #title>
                    MDBootstrap
                  </template>
                  <template #small>
                    11 mins ago
                  </template>
                  8
                </MDBToast>
                <MDBToast
                  v-model="stackingContainer[9]"
                  autohide
                  :delay="5000"
                  container="#stacking-container"
                  stacking
                  width="350px"
                >
                  <template #title>
                    MDBootstrap
                  </template>
                  <template #small>
                    11 mins ago
                  </template>
                  9
                </MDBToast>
                <MDBToast
                  v-model="stackingContainer[10]"
                  autohide
                  :delay="5000"
                  container="#stacking-container"
                  stacking
                  width="350px"
                >
                  <template #title>
                    MDBootstrap
                  </template>
                  <template #small>
                    11 mins ago
                  </template>
                  10
                </MDBToast>
              </MDBContainer>
            </template>
          
        
    
        
            
            <script>
              import { MDBToast, MDBContainer, MDBBtn } from "mdb-vue-ui-kit";
              import { ref, reactive } from 'vue';
              export default {
                components: {
                  MDBToast,
                  MDBContainer,
                  MDBBtn
                },
                setup() {
                  const stackingContainer = reactive({
                    1: false,
                    2: false,
                    3: false,
                    4: false,
                    5: false,
                    6: false,
                    7: false,
                    8: false,
                    9: false,
                    10: false
                  });
                  const currentStackingContainer = ref(1);
                  const addStackingContainer = () => {
                    stackingContainer[currentStackingContainer.value] = true;
                    currentStackingContainer.value++;
                    if (currentStackingContainer.value > 10) {
                      currentStackingContainer.value = 1;
                    }
                  };
                  return {
                    stackingContainer,
                    addStackingContainer
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBToast, MDBContainer, MDBBtn } from "mdb-vue-ui-kit";
              import { ref, reactive } from 'vue';

              interface Stacking {
                [props: number]: boolean;
              }

              const stackingContainer = reactive<Stacking>({
                1: false,
                2: false,
                3: false,
                4: false,
                5: false,
                6: false,
                7: false,
                8: false,
                9: false,
                10: false
              });
              const currentStackingContainer = ref(1);
              const addStackingContainer = () => {
                stackingContainer[currentStackingContainer.value] = true;
                currentStackingContainer.value++;
                if (currentStackingContainer.value > 10) {
                  currentStackingContainer.value = 1;
                }
               };
            </script>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Toasts - API


Import

        
            
          <script>
            import {
              MDBToast
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

Name Type Default Description
tag String 'div' Defines tag of the MDBToast element
position String 'top-right' Sets a position for the toast. Any combination of 'vertical-horizontal' position: 'top|bottom-left|center|right'
delay Number 5000 Sets the length of animation delay
autohide Boolean true Alerts will hide automatically or not
width String 'unset' Sets width of toast
stacking Boolean true Enables stacking toasts
offset String '10 Changes toast offset
container String '' Defines container selector
appendToBody Boolean false Appends element to the end of the body
color String null Allows to set the color of an toast - primary | secondary | secondary | danger | warning | info | light | dark
text String '' Set to 'white' for better text contrast on dark toast background
icon String '' Adds icon with given class to a toast header
animation Boolean true Allows to turn on or off the showing and hiding toast animation
heightAnimation Boolean false Animates toast height change
static Boolean false Makes toast static (open by default)
id String 'MDBToast-generated id' Allows to add custom id to toast element
v-model String '' Returns current picked time
toast String null Allows to set new color palette of toasts - primary | secondary | secondary | danger | warning | info | light | dark

Methods

Name Description Example
show Manually shows an toast toastRef.show()
hide Manually hides an toast toastRef.hide()
        
            
              <template>
                <MDBToast v-model="toast1" ref="toastRef" />
                <MDBBtn @click.stop="$refs.toastRef.show()" color="primary">
                  Show
                </MDBBtn>
              </template>
            
        
    

Events

Name Description
show This event fires immediately when the show method is called or `v-model` is set to true
shown This event fires immediately when the Alert is shown
hide This event fires immediately when the hide method is called or `v-model` is set to false
hidden This event fires immediately when the Alert is hidden
        
            
              <template>
                <MDBToast v-model="picker1" @close="doSomething" />
              </template>
            
        
    

CSS variables

As part of MDB’s evolving CSS variables approach, toast now use local CSS variables on .toast for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
        // .toast
        --#{$prefix}toast-zindex: #{$zindex-toast};
        --#{$prefix}toast-padding-x: #{$toast-padding-x};
        --#{$prefix}toast-padding-y: #{$toast-padding-y};
        --#{$prefix}toast-spacing: #{$toast-spacing};
        --#{$prefix}toast-max-width: #{$toast-max-width};
        @include rfs($toast-font-size, --#{$prefix}toast-font-size);
        --#{$prefix}toast-color: #{$toast-color};
        --#{$prefix}toast-bg: #{$toast-background-color};
        --#{$prefix}toast-border-width: #{$toast-border-width};
        --#{$prefix}toast-border-color: #{$toast-border-color};
        --#{$prefix}toast-border-radius: #{$toast-border-radius};
        --#{$prefix}toast-box-shadow: #{$toast-box-shadow};
        --#{$prefix}toast-header-color: #{$toast-header-color};
        --#{$prefix}toast-header-bg: #{$toast-header-background-color};
        --#{$prefix}toast-header-border-color: #{$toast-header-border-color};
         
        --#{$prefix}toast-border-bottom-width: #{$toast-border-bottom-width};
        --#{$prefix}toast-btn-close-width: #{$toast-btn-close-width};
        --#{$prefix}toast-btn-close-mr: #{$toast-btn-close-mr};
        --#{$prefix}toast-btn-close-ml: #{$toast-btn-close-ml};
        --#{$prefix}toast-bg: #{$toast-background-color};
        --#{$prefix}toast-header-bg: #{$toast-header-background-color};

        // .toast-container
        --#{$prefix}toast-zindex: #{$zindex-toast};
        
        
    

SCSS variables

        
            
        $toast-max-width: 350px;
        $toast-font-size: 0.875rem;
        $toast-color: null;
        $toast-border-width: var(--#{$prefix}border-width);
        $toast-border-color: var(--#{$prefix}border-color-translucent);
        $toast-spacing: $container-padding-x;
        
        $toast-header-color: var(--#{$prefix}secondary-color);
        $toast-header-border-color: $toast-border-color;

        $toast-box-shadow: $box-shadow-4;
        $toast-border-radius: $border-radius-lg;
        $toast-border-bottom-width: $border-width-alternate;
        $toast-background-color: var(--#{$prefix}surface-bg);
        $toast-padding-x: 1rem;
        $toast-padding-y: 0.65rem;
        $toast-header-background-color: var(--#{$prefix}surface-bg);
        $toast-btn-close-width: 1.3em;
        $toast-btn-close-mr: -0.375rem;
        $toast-btn-close-ml: 0.75rem;

Toasts

React Bootstrap 5 Toasts component

Toasts built with Bootstrap 5, React 18 and Material Design 2.0. Non-disruptive notification message in the corner of the interface. It provides quick "at-a-glance" feedback on the outcome of an action.

Push notifications to your visitors with a 'toast', a lightweight and easily customizable alert message. Toasts are designed to mimic the push notifications that have been popularized by mobile and desktop operating systems.

Note: Read the API tab to find all available options and advanced customization


Basic example

Click the buttons to launch the toasts.

        
            
          import React, { useState } from 'react';
          import {MDBToast, MDBBtn, MDBStack } from 'mdb-react-ui-kit';
          
          export default function ToastPage(): JSX.Element {
            const showToast = (color: string) => {
              setStackingToasts([
                ...stackingToasts,
                { 
                  color,
                  colorCapitalized: color.charAt(0).toUpperCase() + color.slice(1),
                }
              ]);
            };
            const [stackingToasts, setStackingToasts] = useState<Array<Record<string, any>>>([]);
          
            return (
              <>
                 <MDBBtn className='m-1' onClick={() => showToast('primary')}>
                    Primary
                  </MDBBtn>
                  <MDBBtn color='secondary' className='m-1' onClick={() => showToast('secondary')}>
                    Secondary
                  </MDBBtn>
                  <MDBBtn color='success' className='m-1' onClick={() => showToast('success')}>
                    Success
                  </MDBBtn>
                  <MDBBtn color='danger' className='m-1' onClick={() => showToast('danger')}>
                    Danger
                  </MDBBtn>
                  <MDBBtn color='warning' className='m-1' onClick={() => showToast('warning')}>
                    Warning
                  </MDBBtn>
                  <MDBBtn color='light' className='m-1' onClick={() => showToast('light')}>
                    Light
                  </MDBBtn>
                  <MDBBtn color='dark' className='m-1' onClick={() => showToast('dark')}>
                    Dark
                  </MDBBtn>
          
                  <MDBStack className='position-absolute'>
                    {
                      stackingToasts.map((item, id) => (
                        <MDBToast
                          color={item.color}
                          defaultOpen
                          autohide
                          width={450}
                          delay={2000}
                          key={id}
                          headerContent={
                            <>
                              <strong className='me-auto'>MDBootstrap</strong>
                              <small>11 mins ago</small>
                            </>
                          }
                          bodyContent={`${item.colorCapitalized} Basic Example`}
                        />
                      ))
                    }
                  </MDBStack>
              </>
            );
          }

        
        
    

Static example

        
            
          import React from 'react';
          import { MDBToast, MDBContainer } from 'mdb-react-ui-kit';

          export default function App() {
            return (
              <MDBContainer>
                <MDBToast
                  open
                  className='mx-auto'
                  headerContent={
                    <>
                      <strong className='me-auto'>MDBootstrap</strong>
                      <small>11 mins ago</small>
                    </>
                  }
                  bodyContent='Static Example'
                />
              </MDBContainer>
            );
          }
        
        
    

Colors

        
            
          import React from 'react';
          import { MDBToast, MDBContainer, MDBRow, MDBCol } from 'mdb-react-ui-kit';

          export default function App() {
            return (
              <MDBContainer>
                <MDBRow className='mb-5'>
                  <MDBCol xl='3' lg='6'>
                    <MDBToast
                      color='info'
                      open
                      className='mx-auto'
                      headerContent={
                        <>
                          <strong className='me-auto'>MDBootstrap</strong>
                          <small>11 mins ago</small>
                        </>
                      }
                      bodyContent='Hello, world! This is a toast message.'
                    />
                  </MDBCol>
                  <MDBCol xl='3' lg='6'>
                    <MDBToast
                      color='warning'
                      open
                      className='mx-auto'
                      headerContent={
                        <>
                          <strong className='me-auto'>MDBootstrap</strong>
                          <small>11 mins ago</small>
                        </>
                      }
                      bodyContent='Hello, world! This is a toast message.'
                    />
                  </MDBCol>
                  <MDBCol xl='3' lg='6'>
                    <MDBToast
                      color='success'
                      open
                      className='mx-auto'
                      headerContent={
                        <>
                          <strong className='me-auto'>MDBootstrap</strong>
                          <small>11 mins ago</small>
                        </>
                      }
                      bodyContent='Hello, world! This is a toast message.'
                    />
                  </MDBCol>
                  <MDBCol xl='3' lg='6'>
                    <MDBToast
                      color='danger'
                      open
                      className='mx-auto'
                      headerContent={
                        <>
                          <strong className='me-auto'>MDBootstrap</strong>
                          <small>11 mins ago</small>
                        </>
                      }
                      bodyContent='Hello, world! This is a toast message.'
                    />
                  </MDBCol>
                </MDBRow>
              </MDBContainer>
            );
          }
        
        
    

Placement

You can set position of every notification using position property.

Select horizontal / vertical alignment

Current position: top-right
        
            
            import React, { useState } from 'react';
            import { MDBToast, MDBContainer, MDBBtn } from 'mdb-react-ui-kit';

            export default function App() {
              const [isOpen, setIsOpen] = useState(false);

              return (
                <MDBContainer className='text-center'>
                  <MDBBtn onClick={() => setIsOpen(true)}>Show!</MDBBtn>
                  <MDBToast
                    color='info'
                    open={isOpen}
                    onClose={() => setIsOpen(false)}
                    autohide
                    position='top-right'
                    delay={2000}
                    appendToBody
                    headerContent={
                      <>
                        <strong className='me-auto'>MDBootstrap</strong>
                        <small>11 mins ago</small>
                      </>
                    }
                    bodyContent='Placement toast.'
                  />
                </MDBContainer>
              );
            }

        
        
    

Offset

You can also change offset or any style of a notification using style property.

        
            
          import React, { useRef } from 'react';
          import { MDBToast, MDBBtn } from 'mdb-react-ui-kit';

          export default function App() {
            const triggerOffset = useRef(null);
            
            return (
              <>
                <MDBBtn className='mb-5' ref={triggerOffset}>
                  Show alert with offset!
                </MDBBtn>

                <MDBToast
                  color='info'
                  autohide
                  offset={50}
                  position='top-right'
                  delay={3000}
                  triggerRef={triggerOffset}
                  headerContent={
                    <>
                      <strong className='me-auto'>MDBootstrap</strong>
                      <small>11 mins ago</small>
                    </>
                  }
                  bodyContent='Offset: 50'
                />
              </>
            );
          }
        
        
    

Container

You can display notification anywhere. Just put your toast in your target element and fill containerRef property with a reference to the parent.

        
            
            import React, { useRef, useState } from 'react';
            import { MDBToast, MDBBtn } from 'mdb-react-ui-kit';

            export default function App() {
              const [isOpen, setIsOpen] = useState(false);
              const wrapperRef = useRef(null);

              return (
                <div className='container text-center w-50 border' ref={wrapperRef}>
                  <MDBBtn className='mb-5' onClick={() => setIsOpen(true)}>
                    Show alert below!
                  </MDBBtn>

                  <MDBToast
                    open={isOpen}
                    onClose={() => setIsOpen(false)}
                    autohide
                    position='top-right'
                    delay={3000}
                    containerRef={wrapperRef}
                    headerContent={
                      <>
                        <strong className='me-auto'>MDBootstrap</strong>
                        <small>11 mins ago</small>
                      </>
                    }
                    bodyContent='Toast inside another element!'
                  />
                </div>
              );
            }

        
        
    

Stacking

You can create stacking notifications using MDBStack component.

        
            
          import React, { useState } from 'react';
          import { MDBToast, MDBBtn, MDBStack } from 'mdb-react-ui-kit';

          export default function App() {
            const [stackingToasts, setStackingToasts] = useState<Array<Record<string, any>>>([]);
            const [stackingColor, setStackingColor] = useState(0);

            const handleClick = () => {
              const colors = ['primary', 'warning', 'info', 'success', 'secondary', 'danger', 'light'];

              stackingColor + 1 > colors.length - 1 ? setStackingColor(0) : setStackingColor(stackingColor + 1);

              setStackingToasts([
                ...stackingToasts,
                {
                  color: colors[stackingColor],
                  count: stackingToasts.length > 0 ? stackingToasts.length + 1 : 1,
                },
              ]);
            };

            return (
              <>
                <MDBBtn className='m-1' onClick={handleClick}>
                  Show toast notification
                </MDBBtn>

                <MDBStack className='position-absolute'>
                {
                  stackingToasts.map((item) => (
                    <MDBToast
                      color={item.color}
                      defaultOpen
                      autohide
                      width={450}
                      delay={2000}
                      key={item.count}
                      headerContent={
                        <>
                          <strong className='me-auto'>{item.count}</strong>
                          <small>11 mins ago</small>
                        </>
                      }
                      bodyContent='Stacking Element'
                    />
                  ))
                  }
                </MDBStack>

              </>
            );
          }
        
        
    

Stacking (container)

Add position-relative class to your container and wrap notifications with MDBStack component. Stack component must have position-absolute class.

        
            
            import React, { useState } from 'react';
            import { MDBToast, MDBBtn, MDBStack } from 'mdb-react-ui-kit';

            const colors = ['primary', 'warning', 'info', 'success', 'secondary', 'danger', 'light'];

            export default function App() {
              const [stackToasts, setStackToasts] = useState([]);
              const [counter, setCounter] = useState(1);

              return (
                <>
                  <div
                    className='container text-center position-relative  border w-50'
                    id='parent-stacking-container-example'
                    style={{
                      height: '300px',
                      overflow: 'auto',
                    }}
                  >
                    <MDBStack className='position-absolute'>
                      {stackToasts.map((toast) => {
                        const color = colors[toast.id % colors.length];
                        return (
                          <MDBToast
                            defaultOpen
                            autohide
                            delay={3000}
                            key={toast.id}
                            color={color}
                            dismissBtn
                            width={250}
                            headerContent={
                              <>
                                <strong className='me-auto'>{toast.id}</strong>
                                <small>11 mins ago</small>
                              </>
                            }
                            bodyContent={'Stacking element'}
                          ></MDBToast>
                        );
                      })}
                    </MDBStack>
                    <MDBBtn
                      onClick={() => {
                        setStackToasts([
                          ...stackToasts,
                          {
                            id: counter,
                          },
                        ]);
                        setCounter((prev) => prev + 1);
                      }}
                    >
                      Show toast notification
                    </MDBBtn>
                  </div>
                </>
              );
            }

        
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Toasts - API


Import

        
            
            import { MDBToast } from 'mdb-react-ui-kit';
            
        
    

Properties

MDBToast

Name Type Default Description Example
appendToBody Boolean false Appends element to the end of the body <MDBToast appendToBody />
autohide Boolean false Toasts will hide automatically or not <MDBToast autohide />
bodyClasses String '' Add custom class to the body of MDBToast <MDBToast bodyClasses="class" />
bodyContent String | Node '' Defines a body content for MDBToast <MDBToast bodyContent={
Sample
} />
closeBtnClasses String '' Add custom class to the close button of MDBToast <MDBToast closeBtnClasses="class" />
color String '' Allows to set the color of a toast - primary | secondary | secondary | danger | warning | info | light | dark <MDBToast color='secondary' />
containerRef Reference '' Defines a reference to the parent element <MDBToast containerRef={containerReference} />
delay Number 1000 Sets the length of animation delay (in ms) <MDBToast delay={2000} />
headerClasses String '' Add custom class to the header of MDBToast <MDBToast headerClasses="class" />
headerContent String | Node '' Defines a header content for MDBToast <MDBToast headerContent={
Sample
} />
position 'top-left' | 'top-center' | 'top-right' | 'bottom-left' | 'bottom-center' | 'bottom-right' '' Sets a toast position <MDBToast position='top-right' />
open Boolean undefined Defines toast's open state. Usually used with onClose event handler. <MDBToast open />
defaultOpen Boolean false Defines toast's default open state. No onClose handler is needed to close the toast. <MDBToast defaultOpen />
toastRef React.MutableRefObject '' Reference to the MDBToast element <MDBToast toastRef={toastRefference} />
width Number | String '' Sets width of toast (in pixels) <MDBToast width={300} />
initialAnimation boolean false Defines if component should animate on initial render <MDBAlert initialAnimation />
animationVariants { open?: Record<string, any>; closed?: Record<string, any>; }; {open: { opacity: 1 }, closed: { opacity: 0 }} Defines animation variants <MDBAlert animationVariants={ {open: { opacity: 1 }, closed: { opacity: 0 }} } />

Events

onOpen () => void Fired when the Alert starts to open.
onOpened () => void Fired after opening transition has completed.
onClose () => void Fires immediately when the Alert demands to be closed.
onClosed () => void Fired after closing transition has completed.

CSS variables

As part of MDB’s evolving CSS variables approach, toast now use local CSS variables on .toast for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
        // .toast
        --#{$prefix}toast-zindex: #{$zindex-toast};
        --#{$prefix}toast-padding-x: #{$toast-padding-x};
        --#{$prefix}toast-padding-y: #{$toast-padding-y};
        --#{$prefix}toast-spacing: #{$toast-spacing};
        --#{$prefix}toast-max-width: #{$toast-max-width};
        @include rfs($toast-font-size, --#{$prefix}toast-font-size);
        --#{$prefix}toast-color: #{$toast-color};
        --#{$prefix}toast-bg: #{$toast-background-color};
        --#{$prefix}toast-border-width: #{$toast-border-width};
        --#{$prefix}toast-border-color: #{$toast-border-color};
        --#{$prefix}toast-border-radius: #{$toast-border-radius};
        --#{$prefix}toast-box-shadow: #{$toast-box-shadow};
        --#{$prefix}toast-header-color: #{$toast-header-color};
        --#{$prefix}toast-header-bg: #{$toast-header-background-color};
        --#{$prefix}toast-header-border-color: #{$toast-header-border-color};
         
        --#{$prefix}toast-border-bottom-width: #{$toast-border-bottom-width};
        --#{$prefix}toast-btn-close-width: #{$toast-btn-close-width};
        --#{$prefix}toast-btn-close-mr: #{$toast-btn-close-mr};
        --#{$prefix}toast-btn-close-ml: #{$toast-btn-close-ml};

        // .toast-container
        --#{$prefix}toast-zindex: #{$zindex-toast};
        
        
    

SCSS variables

        
            
        $toast-max-width: 350px;
        $toast-font-size: 0.875rem;
        $toast-color: null;
        $toast-border-width: $border-width;
        $toast-border-color: var(--#{$prefix}border-color-translucent);
        $toast-spacing: $container-padding-x;
        
        $toast-header-color: $gray-600;
        $toast-header-border-color: rgba($black, 0.05);

        $toast-box-shadow: $box-shadow-4;
        $toast-border-radius: $border-radius-lg;
        $toast-border-bottom-width: $border-width-alternate;
        $toast-background-color: $white;
        $toast-padding-x: 1rem;
        $toast-padding-y: 0.65rem;
        $toast-header-background-color: $white;
        $toast-btn-close-width: 1.3em;
        $toast-btn-close-mr: -0.375rem;
        $toast-btn-close-ml: 0.75rem;

Toasts

Angular Bootstrap 5 Toast component

Responsive Toast built with Bootstrap 5, Angular and Material Design. Non-disruptive notification message in the corner of the interface. It provides quick 'at-a-glance' feedback on the outcome of an action.

Push notifications to your visitors with a 'toast', a lightweight and easily customizable toast message. Toasts are designed to mimic the push notifications that have been popularized by mobile and desktop operating systems.

Note: Read the API tab to find all available options and advanced customization


Basic example

Click the buttons to launch the toasts.

You can create toast dynamically from any component using a built-in service. To achieve this, follow these steps:

1. Create a new component with Angular CLI and add some HTML code to the template.

ng generate component toast

        
            
          <div
            class="toast toast-primary mx-auto"
            id="basic-primary-example"
            role="alert"
            aria-live="assertive"
            aria-atomic="true"
          >
            <div class="toast-header toast-primary">
              <strong class="me-auto">MDBootstrap</strong>
              <small>11 mins ago</small>
              <button
                type="button"
                class="btn-close"
                aria-label="Close"
                (click)="notificationRef.close()"
              ></button>
            </div>
            <div class="toast-body">Primary Basic Example</div>
          </div>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbNotificationRef } from 'mdb-angular-ui-kit/notification';

            @Component({
              selector: 'app-toast',
              templateUrl: './toast.component.html',
            })
            export class ToastComponent {
              constructor(public notificationRef: MdbNotificationRef<ToastComponent>) {}
            }
          
        
    

2. Inject MdbNotificationService to the component from which you want to open the toast and use the open method.

        
            
            <button class="btn btn-primary" (click)="openToast()">Open</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbNotificationService, MdbNotificationRef } from 'mdb-angular-ui-kit/notification';
            import { ToastComponent } from 'your-path-to-toast-component';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              notificationRef: MdbNotificationRef<ToastComponent> | null = null;

              constructor(private notificationService: MdbNotificationService) {}

              openToast() {
                this.notificationRef = this.notificationService.open(ToastComponent);
              }
            }
          
        
    

Inject and receive data

You can inject data to the toast by passing it to the data parameter in the toast options.

        
            
          <button class="btn btn-primary" (click)="openToast()">Open toast</button>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbNotificationService, MdbNotificationRef } from 'mdb-angular-ui-kit/notification';
          import { ToastComponent } from 'your-path-to-toast-component';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent {
            notificationRef: MdbNotificationRef<ToastComponent> | null = null;

            constructor(private notificationService: MdbNotificationService) {}

            openToast() {
              this.notificationRef = this.notificationService.open(ToastComponent, { data: { text: 'Toast text'} });
            }
          }
        
        
    

Here is an example showing how to use injected data in the toast component:

        
            
        <div
          class="toast toast-primary mx-auto"
          id="basic-primary-example"
          role="alert"
          aria-live="assertive"
          aria-atomic="true"
        >
          <div class="toast-header toast-primary">
            <strong class="me-auto">MDBootstrap</strong>
            <small>11 mins ago</small>
            <button
              type="button"
              class="btn-close"
              aria-label="Close"
              (click)="notificationRef.close()"
            ></button>
          </div>
          <div class="toast-body">{{ text }}</div>
        </div>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbNotificationRef } from 'mdb-angular-ui-kit/notification';

          @Component({
            selector: 'app-toast',
            templateUrl: './toast.component.html',
          })
          export class ToastComponent {
            text: string | null = null;

            constructor(public notificationRef: MdbNotificationRef<ToastComponent>) {}
          }
        
        
    

Receive data from the toast

You can receive data from the toast to use it in other components:

        
            
          <div
            class="toast toast-primary mx-auto"
            role="alert"
            aria-live="assertive"
            aria-atomic="true"
          >
            <div class="toast-header toast-primary">
              <strong class="me-auto">MDBootstrap</strong>
              <small>11 mins ago</small>
              <button
                type="button"
                class="btn-close"
                aria-label="Close"
                (click)="close()"
              ></button>
            </div>
            <div class="toast-body">Primary Basic Example</div>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbNotificationRef } from 'mdb-angular-ui-kit/notification';

          @Component({
            selector: 'app-toast',
            templateUrl: './toast.component.html',
          })
          export class ToastComponent {
            constructor(public notificationRef: MdbNotificationRef<ToastComponent>) {}
            close(): void {
              const closeMessage = 'Toast closed';
              this.notificationRef.close(closeMessage)
            }
          }
        
        
    

Here is an example showing how to use data received from toast in other components:

        
            
          <button class="btn btn-primary" (click)="openToast()">Open</button>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbNotificationService, MdbNotificationRef } from 'mdb-angular-ui-kit/notification';
          import { ToastComponent } from 'your-path-to-toast-component';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
          })
          export class AppComponent {
            notificationRef: MdbNotificationRef<ToastComponent> | null = null;

            constructor(private notificationService: MdbNotificationService) {}

            openToast() {
              this.notificationRef = this.notificationService.open(ToastComponent);
              this.notificationRef.onClose.subscribe((message: any) => {
                console.log(message);
              });
            }
          }
        
        
    

Static example

        
            
            <div
              class="toast mx-auto"
              id="static-example"
              role="alert"
              aria-live="assertive"
              aria-atomic="true"
            >
              <div class="toast-header">
                <strong class="me-auto">MDBootstrap</strong>
                <small>11 mins ago</small>
                <button
                  type="button"
                  class="btn-close"
                  aria-label="Close"
                  (click)="notificationRef.close()"
                ></button>
              </div>
              <div class="toast-body">Static Example</div>
            </div>
          
        
    

Colors

Create different toast color schemes with our color and background utilities.

        
            
          <div class="row justify-content-center">
            <div class="col-xl-5 col-lg-6 mb-2">
              <div
                class="toast show fade toast-info"
                role="alert"
                aria-live="assertive"
                aria-atomic="true"
              >
                <div class="toast-header toast-info">
                  <i class="fas fa-info-circle fa-lg me-2"></i>
                  <strong class="me-auto">MDBootstrap</strong>
                  <small>11 mins ago</small>
                  <button 
                    type="button"
                    class="btn-close"
                    aria-label="Close"
                    (click)="notificationRef.close()"
                  ></button>
                </div>
                <div class="toast-body">Hello, world! This is a toast message.</div>
              </div>
            </div>
            <div class="col-xl-5 col-lg-6 mb-2">
              <div
                class="toast show fade toast-warning"
                role="alert"
                aria-live="assertive"
                aria-atomic="true"
              >
                <div class="toast-header toast-warning">
                  <i class="fas fa-exclamation-triangle fa-lg me-2"></i>
                  <strong class="me-auto">MDBootstrap</strong>
                  <small>11 mins ago</small>
                  <button
                    type="button"
                    class="btn-close"
                    aria-label="Close"
                    (click)="notificationRef.close()"
                  ></button>
                </div>
                <div class="toast-body">Hello, world! This is a toast message.</div>
              </div>
            </div>
          </div>
          <div class="row mb-2 justify-content-center">
            <div class="col-xl-5 col-lg-6 mb-2">
              <div
                class="toast show fade toast-success"
                role="alert"
                aria-live="assertive"
                aria-atomic="true"
              >
                <div class="toast-header toast-success">
                  <i class="fas fa-check fa-lg me-2"></i>
                  <strong class="me-auto">MDBootstrap</strong>
                  <small>11 mins ago</small>
                  <button
                    type="button"
                    class="btn-close"
                    aria-label="Close"
                    (click)="notificationRef.close()"
                  ></button>
                </div>
                <div class="toast-body">Hello, world! This is a toast message.</div>
              </div>
            </div>
            <div class="col-xl-5 col-lg-6 mb-2">
              <div
                class="toast show fade toast-danger"
                role="alert"
                aria-live="assertive"
                aria-atomic="true"
              >
                <div class="toast-header toast-danger">
                  <i class="fas fa-exclamation-circle fa-lg me-2"></i>
                  <strong class="me-auto">MDBootstrap</strong>
                  <small>11 mins ago</small>
                  <button
                    type="button"
                    class="btn-close"
                    aria-label="Close"
                    (click)="notificationRef.close()"
                  ></button>
                </div>
                <div class="toast-body">Hello, world! This is a toast message.</div>
              </div>
            </div>
          </div>
          
        
    

Placement

You can set position of every notification using data-mdb-position attribute or update() method.

Select horizontal / vertical alignment

Current position: top-right
        
            
            <button class="btn btn-primary" (click)="openToast()">Open</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbNotificationService, MdbNotificationRef } from 'mdb-angular-ui-kit/notification';
            import { ToastComponent } from 'your-path-to-toast-component';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              notificationRef: MdbNotificationRef<ToastComponent> | null = null;

              constructor(private notificationService: MdbNotificationService) {}

              openToast() {
                this.notificationRef = this.notificationService.open(ToastComponent, {
                  position: 'top-right'
                });
              }
            }
          
        
    

Offset

You can also change offset of every notification using offset option.

        
            
            <button class="btn btn-primary" (click)="openToast()">Open</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbNotificationService, MdbNotificationRef } from 'mdb-angular-ui-kit/notification';
            import { ToastComponent } from 'your-path-to-toast-component';
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              notificationRef: MdbNotificationRef<ToastComponent> | null = null;

              constructor(private notificationService: MdbNotificationService) {}

              openToast() {
                this.notificationRef = this.notificationService.open(ToastComponent, {
                  offset: '100'
                });
              }
            }
          
        
    

Stacking

You can turn on/off stacking your notifications using stacking option.

        
            
            <button class="btn btn-primary" (click)="openToast()">Open</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbNotificationService, MdbNotificationRef } from 'mdb-angular-ui-kit/notification';
            import { ToastComponent } from 'your-path-to-toast-component';
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              notificationRef: MdbNotificationRef<ToastComponent> | null = null;

              constructor(private notificationService: MdbNotificationService) {}

              openToast() {
                this.notificationRef = this.notificationService.open(ToastComponent, {
                  stacking: true
                });
              }
            }
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Toasts - API


Import

        
            
          import { MdbNotificationModule } from 'mdb-angular-ui-kit/notification';
          …
          @NgModule ({
            ...
            imports: [MdbNotificationModule],
            ...
          })
        
        
    

Options

Name Type Default Description
position string 'top-right' Sets a position for the toast - top-left | top-right | bottom-left | bottom-right
delay number 5000 Sets the length of animation delay
autohide boolean false Toast will hide automatically or not
width string 'unset' Sets width of toast
offset number 10 Defines offset of the element
stacking boolean false Enables stacking toasts
        
            
            <button class="btn btn-primary" (click)="openToast()">Open toast</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { ToastComponent } from 'your-path-to-toast-component';
            import { MdbNotificationRef, MdbNotificationService } from 'mdb-angular-ui-kit/notification';

            @Component({
                selector: 'create-dynamic-toast',
                templateUrl: './create-dynamic-toast.component.html',
            })
            export class AppComponent {
              notificationRef: MdbNotificationRef<ToastComponent> | null = null;

              config = {
                position: 'top-left',
                width: 100,
                delay: 1000,
                autohide: true,
                stacking: true,
                offset: 100,
                animation: false,
                data: {
                  text: 'example text'
                },
              }

              constructor(private notificationService: MdbNotificationService) {}

              openToast() {
                this.notificationRef = this.notificationService.open(ToastComponent, this.config);
              }
            }
          
        
    

Methods

MdbNotificationService

Name Description
open Opens toast
        
            
            <button class="btn btn-primary" (click)="openToast()">Open toast</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbNotificationService, MdbNotificationRef } from 'mdb-angular-ui-kit/notification';
            import { ToastComponent } from 'your-path-to-toast-component';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              notificationRef: MdbNotificationRef<ToastComponent> | null = null;

              constructor(private notificationService: MdbNotificationService) {}

              openToast() {
                this.notificationRef = this.notificationService.open(ToastComponent);
              }
            }
          
        
    

MdbNotificationRef

Method Description
onClose: Observable<any> Returns observable on toast close.
        
            
          <button class="btn btn-primary" (click)="openToast()">Open toast</button>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { ToastComponent } from 'your-path-to-toast-component';
          import { MdbNotificationRef, MdbNotificationService } from 'mdb-angular-ui-kit/notification';

          @Component({
              selector: 'create-dynamic-toast',
              templateUrl: './create-dynamic-toast.component.html',
          })
          export class AppComponent {
            notificationRef: MdbNotificationRef<ToastComponent> | null = null;

            constructor(private notificationService: MdbNotificationService) {}

            openToast() {
              this.notificationRef = this.notificationService.open(ToastComponent);
              this.notificationRef.onClose.subscribe((message: any) => {
                console.log(message);
              });
            }
          }
        
        
    

CSS variables

As part of MDB’s evolving CSS variables approach, toast now use local CSS variables on .toast for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
        // .toast
        --#{$prefix}toast-zindex: #{$zindex-toast};
        --#{$prefix}toast-padding-x: #{$toast-padding-x};
        --#{$prefix}toast-padding-y: #{$toast-padding-y};
        --#{$prefix}toast-spacing: #{$toast-spacing};
        --#{$prefix}toast-max-width: #{$toast-max-width};
        @include rfs($toast-font-size, --#{$prefix}toast-font-size);
        --#{$prefix}toast-color: #{$toast-color};
        --#{$prefix}toast-bg: #{$toast-background-color};
        --#{$prefix}toast-border-width: #{$toast-border-width};
        --#{$prefix}toast-border-color: #{$toast-border-color};
        --#{$prefix}toast-border-radius: #{$toast-border-radius};
        --#{$prefix}toast-box-shadow: #{$toast-box-shadow};
        --#{$prefix}toast-header-color: #{$toast-header-color};
        --#{$prefix}toast-header-bg: #{$toast-header-background-color};
        --#{$prefix}toast-header-border-color: #{$toast-header-border-color};
         
        --#{$prefix}toast-border-bottom-width: #{$toast-border-bottom-width};
        --#{$prefix}toast-btn-close-width: #{$toast-btn-close-width};
        --#{$prefix}toast-btn-close-mr: #{$toast-btn-close-mr};
        --#{$prefix}toast-btn-close-ml: #{$toast-btn-close-ml};

        // .toast-container
        --#{$prefix}toast-zindex: #{$zindex-toast};
        
        
    

SCSS variables

        
            
        $toast-max-width: 350px;
        $toast-font-size: 0.875rem;
        $toast-color: null;
        $toast-border-width: $border-width;
        $toast-border-color: var(--#{$prefix}border-color-translucent);
        $toast-spacing: $container-padding-x;
        
        $toast-header-color: $gray-600;
        $toast-header-border-color: rgba($black, 0.05);

        $toast-box-shadow: $box-shadow-4;
        $toast-border-radius: $border-radius-lg;
        $toast-border-bottom-width: $border-width-alternate;
        $toast-background-color: $white;
        $toast-padding-x: 1rem;
        $toast-padding-y: 0.65rem;
        $toast-header-background-color: $white;
        $toast-btn-close-width: 1.3em;
        $toast-btn-close-mr: -0.375rem;
        $toast-btn-close-ml: 0.75rem;